# AccountTxResponse | xrpl
Documentation for xrpl

# Interface AccountTxResponse

Expected response from an AccountTxRequest.

#### Hierarchy

- BaseResponse
  - AccountTxResponse

- Defined in packages/xrpl/src/models/methods/accountTx.ts:76

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
account: string;
ledger_index_max: number;
ledger_index_min: number;
limit: number;
marker?: unknown;
transactions: AccountTxTransaction [];
validated?: boolean;
}

#### Type declaration

- ##### account: string

  Unique Address identifying the related account.

- ##### ledger_index_max: number

  The ledger index of the most recent ledger actually searched for transactions.

- ##### ledger_index_min: number

  The ledger index of the earliest ledger actually searched for transactions.

- ##### limit: number

  The limit value used in the request.

- ##### `Optional` marker?: unknown

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off.

- ##### transactions: AccountTxTransaction []

  Array of transactions matching the request's criteria, as explained below.

- ##### `Optional` validated?: boolean

  If included and set to true, the information in this response comes from a validated ledger version. Otherwise, the information is subject to change.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountTx.ts:77

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc